local t = Def.ActorFrame {};

t[#t+1] = Def.ActorFrame {
	
	LoadActor("_shine") .. {
		InitCommand=cmd(x,SCREEN_CENTER_X;y,SCREEN_CENTER_Y;zoomto,SCREEN_WIDTH,SCREEN_HEIGHT;);
		OnCommand=cmd(zoom,1.1;decelerate,0.6;zoom,1;);
	};
	LoadActor("_base") .. {
		InitCommand=cmd(x,SCREEN_CENTER_X;y,SCREEN_CENTER_Y;zoomto,SCREEN_WIDTH,SCREEN_HEIGHT;);
		OnCommand=cmd(zoom,1.1;decelerate,0.6;zoom,1;queuecommand,"Animate");
		AnimateCommand=cmd(diffuseshift;effectcolor1,1,1,1,1;effectcolor2,1,1,1,0.7;effectperiod,8;);
	};
};

-- Text

t[#t+1] = Def.ActorFrame {
	OnCommand=cmd(diffusealpha,0;decelerate,0.3;diffusealpha,1;);
		Def.BitmapText { 
			Font= "Common Normal",
			Text= tostring(SONGMAN:GetNumSongs()) .. " songs", 
			InitCommand=cmd(shadowlength,1;x,SCREEN_LEFT+30;y,SCREEN_TOP+45;horizalign,left;zoom,0.5;);
		};
		Def.BitmapText { 
			Font= "Common Normal",
			Text= string.format("StepMania %s", ProductVersion()), 
			InitCommand=cmd(shadowlength,1;x,SCREEN_LEFT+30;y,SCREEN_TOP+30;horizalign,left;zoom,0.75;);
		};
		
		Def.BitmapText { 
			Font= "Common Normal",
			Text= "Theme version 0.2",
			InitCommand=cmd(shadowlength,1;x,SCREEN_LEFT+30;y,SCREEN_TOP+58;horizalign,left;zoom,0.5;);
		};
	};
	

return t